<?php
require_once('object_class.php');

/**
 * Commands are executed on each check and consists of
 * a program and it's command line arguments.
 */
class command_class extends object_class
{
	/** object type */
	static $type = 'command';

	/**
	 * Export with naming and values to map nagios struct names ond format
	 * 
	 * Useful for Test this x operation
	 */
	public function get_nagios_struct($prefix='') {
		$this->expand_object();
		$obj = $this->denormalize();
		return array(
				$prefix . 'name' => $obj['command_name'],
				$prefix . 'command_line' => $obj['command_line'],
				);
	}
}
